#include "al/io.h"
#include "block_device.h"
#include "tty.h"

size_t block_read(void *dst, size_t n_block, off_t offset)
{
  return _ioc_read(offset, dst, n_block);

 // return n_block;
}

void block_init(uint32_t *addr)
{
  _ioc_block_device_init(addr);
}

size_t block_get_size()
{
  return _ioc_read_block_size();
}

void block_free()
{

}

void print_init(uint32_t *addr)
{
  _tty_init(addr); 
}

void printc(const char *str, size_t size)
{
  _tty_write((char*)str, size);
}
